Loading...
Searching...
No Matches
QoreExternalNormalMember Class Reference

external wrapper base class for class normal members More...

`#include <QoreReflection.h>`

Inheritance diagram for QoreExternalNormalMember:
[legend]
Collaboration diagram for QoreExternalNormalMember:
[legend]

## Public Member Functions

DLLEXPORT bool | isTransient () const
| returns true if the member is transient (i.e. will not be serialized)
Public Member Functions inherited from QoreExternalMemberVarBase
DLLEXPORT ClassAccess | getAccess () const
| returns the access info for the member
DLLEXPORT const char * | getAccessString () const
| returns a string for the access info for the member
Public Member Functions inherited from QoreExternalMemberBase
DLLEXPORT QoreValue | getDefaultValue (ExceptionSink *xsink) const
| evaluates the initialization expression for the member and returns the referenced value
DLLEXPORT const QoreExternalProgramLocation * | getSourceLocation () const
| returns the source location of the member's declaration
DLLEXPORT const QoreTypeInfo * | getTypeInfo () const
| returns the type info for the member

## Detailed Description

external wrapper base class for class normal members

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/QoreReflection.h